import type { _NSObject } from "../Foundation/NSObject.js";
import type { _AVAudioSessionCapability } from "./AVAudioSessionCapability.js";
export declare class _AVAudioSessionPortExtensionBluetoothMicrophone extends _NSObject {
    static alloc(): _AVAudioSessionPortExtensionBluetoothMicrophone;
    static new(): _AVAudioSessionPortExtensionBluetoothMicrophone;
    init(): _AVAudioSessionPortExtensionBluetoothMicrophone;
    /**
     * Describes whether this port supports Bluetooth high-quality recording. Please see ``AVAudioSessionCategoryOptions/AVAudioSessionCategoryOptionBluetoothHighQualityRecording`` for details.
     */
    highQualityRecording(): _AVAudioSessionCapability;
    /** Describes whether this port supports far-field input capture. */
    farFieldCapture(): _AVAudioSessionCapability;
}
